Bug 1173839

Summary: Review Request: fstrm - Frame Streams implementation in C
Product: [Fedora] Fedora Reporter: Jan Včelák <jv+fedora>
Component: Package ReviewAssignee: Florian "der-flo" Lehner <dev>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dev, package-review
Target Milestone: ---Flags: dev: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: fstrm-0.2.0-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-15 15:00:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Jan Včelák 2014-12-13 12:56:57 UTC
Spec URL:
https://jvcelak.fedorapeople.org/review/fstrm/fstrm-0.2.0-1.spec

SRPM URL:
https://jvcelak.fedorapeople.org/review/fstrm/fstrm-0.2.0-1.src.rpm

Description:
Frame Streams is a light weight, binary clean protocol that allows for the
transport of arbitrarily encoded data payload sequences with minimal framing
overhead -- just four bytes per data frame. Frame Streams does not specify
an encoding format for data frames and can be used with any data serialization
format that produces byte sequences, such as Protocol Buffers, XML, JSON,
MessagePack, YAML, etc.

Fedora Account System Username: jvcelak

Comment 1 Florian "der-flo" Lehner 2014-12-13 13:42:03 UTC
Hi Jan!

Please rename your spec-File to fstrm.spec.
For more information about this take a look at:
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Spec_file_name

And your src.rpm fails to build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8376545

Cheers,
 Flo

Comment 2 Jan Včelák 2014-12-13 14:39:05 UTC
Hi Florian,

thank you for taking the review.

I like to track the changes in the spec during a review, so that's why I'm adding a version to the filename. For your comfort, there is also a symlink to the latest version: https://jvcelak.fedorapeople.org/review/fstrm/fstrm.spec

I just updated the package. After removal of the RPATHs, the unit tests in "make check" started to fail. I added 'autoreconf -fi' before compilation to resolve this problem.

Updated SPEC and SRPM:

https://jvcelak.fedorapeople.org/review/fstrm/fstrm-0.2.0-2.spec
https://jvcelak.fedorapeople.org/review/fstrm/fstrm-0.2.0-2.src.rpm

Copr build:

https://copr.fedoraproject.org/coprs/jvcelak/fstrm/build/63588/

Comment 3 Florian "der-flo" Lehner 2014-12-13 15:39:29 UTC
Before uploading, please

[ ] Rename .spec to {%name}.spec
    (In reply to Jan Včelák from comment #2)
     > I like to track the changes in the spec during a review, so that's why I'm
     > adding a version to the filename.
[ ] Delete Release-Tag - it is not required and used


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "GPL (v2 or later)", "Unknown or generated". 12 files
     have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in fstrm-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8377239
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fstrm-0.2.0-2.x86_64.rpm
          fstrm-devel-0.2.0-2.x86_64.rpm
          fstrm-doc-0.2.0-2.noarch.rpm
          fstrm-0.2.0-2.src.rpm
fstrm-devel.x86_64: W: only-non-binary-in-usr-lib
fstrm-devel.x86_64: W: no-manual-page-for-binary fstrm_capture
fstrm-devel.x86_64: W: no-manual-page-for-binary fstrm_dump
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint fstrm-doc fstrm fstrm-devel
fstrm-devel.x86_64: W: only-non-binary-in-usr-lib
fstrm-devel.x86_64: W: no-manual-page-for-binary fstrm_capture
fstrm-devel.x86_64: W: no-manual-page-for-binary fstrm_dump
3 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
fstrm-doc (rpmlib, GLIBC filtered):
    fstrm

fstrm (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

fstrm-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    fstrm(x86-64)
    libc.so.6()(64bit)
    libevent-2.0.so.5()(64bit)
    libfstrm.so.0()(64bit)
    libfstrm.so.0(LIBFSTRM_0.2.0)(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
fstrm-doc:
    fstrm-doc

fstrm:
    fstrm
    fstrm(x86-64)
    libfstrm.so.0()(64bit)
    libfstrm.so.0(LIBFSTRM_0.2.0)(64bit)

fstrm-devel:
    fstrm-devel
    fstrm-devel(x86-64)
    pkgconfig(libfstrm)



Source checksums
----------------
https://github.com/farsightsec/fstrm/releases/download/v0.2.0/fstrm-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : ad5d39957a4b334a6c7fcc94f308dc7ac75e1997cc642e9bb91a18fc0f42a98a
  CHECKSUM(SHA256) upstream package : ad5d39957a4b334a6c7fcc94f308dc7ac75e1997cc642e9bb91a18fc0f42a98a


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1173839
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 4 Jan Včelák 2014-12-13 15:58:04 UTC
> Before uploading, please
> 
> [ ] Rename .spec to {%name}.spec

I will.

> [ ] Delete Release-Tag - it is not required and used

OK. I missed that.

> ===== Solution =====
>       APPROVED

Thank you for such a quick response!

Comment 5 Jan Včelák 2014-12-13 16:01:18 UTC
New Package SCM Request
=======================
Package Name: fstrm
Short Description: Frame Streams implementation in C
Upstream URL: https://github.com/farsightsec/fstrm
Owners: jvcelak
Branches: f21 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-12-15 13:27:35 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-12-15 14:58:50 UTC
fstrm-0.2.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fstrm-0.2.0-1.fc21

Comment 8 Fedora Update System 2014-12-15 14:59:30 UTC
fstrm-0.2.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fstrm-0.2.0-1.el7

Comment 9 Fedora Update System 2014-12-27 09:27:11 UTC
fstrm-0.2.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2014-12-31 23:09:27 UTC
fstrm-0.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.